#!/bin/bash

if [ -z "$1" ]; then
    echo "error: pls supply at least one domain name"
    exit 1
fi

NAME="$1"
DOMAINS="$*"
OPTIONS="--issue --dns dns_miab --server letsencrypt"
COMMAND="/usr/bin/acme.sh"
ACME_PATH="/srv/acme"

for DOMAIN in $DOMAINS; do
    OPTIONS="$OPTIONS -d $DOMAIN"
done

# requesting certificate
$COMMAND $OPTIONS

# installing certificate to $ACME_PATH
if [ $? -eq 0 ]; then
    $COMMAND --install-cert -d $NAME --key-file $ACME_PATH/$NAME.key --fullchain-file $ACME_PATH/$NAME.crt --reloadcmd "systemctl restart nginx.service"
else
    echo "error: an error occured while issuing certificate."
    exit 1
fi

